#!/bin/bash
set -e

if [ $CONTAINER_TIMEZONE ] &&  [ "$SET_CONTAINER_TIMEZONE" = "false" ]; then
    echo ${CONTAINER_TIMEZONE} >/etc/timezone && dpkg-reconfigure -f noninteractive tzdata
    echo "Container timezone set to: $CONTAINER_TIMEZONE"
    export SET_CONTAINER_TIMEZONE=true
else
    echo "Container timezone not modified"
fi

if [ "$1" = 'app' ]; then
    FPASS="/etc/nginx/.htpasswd"
	if [ ! -f $FPASS ]; then
  		htpasswd -bc $FPASS $WEBUSER $WEBPASSWORD
	else
        htpasswd -b $FPASS $WEBUSER $WEBPASSWORD 
	fi
    nginx -g "daemon off;"
fi

exec "$@"